Bug 1174075 - Changing %{_libexecdir} breaks some packages which are misusing the macro
Changing %{_libexecdir} breaks some packages which are misusing the macro
Status: IN_PROGRESS
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
Current
Other Other
: P5 - None : Major (vote)
: ---
Assigned To: Callum Farmer
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-07-13 10:27 UTC by Callum Farmer
Modified: 2022-11-24 17:18 UTC (History)
5 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Callum Farmer 2020-07-13 10:27:38 UTC
This is a bug to log changes regarding the current major change to the rpm macro %{_libexecdir} which has resulted in many packages breaking where they explicitly call /usr/lib , in these cases the packages are being changed to use %{_prefix}/lib. Most changes to individual packages are being completed by myself.
Comment 1 Callum Farmer 2020-07-13 10:47:16 UTC
Packages which have been changed by me but not logged as a bug here:

virtualbox
libappindicator
xdg-desktop-portal
live-langset-data
flatpak
sddm
pacemaker
lightdm
gdm
brltty
hplip
permissions (boo#1171164)
resource-agents
dhcp
sendmail
pulseaudio
libstoragemgmt
transactional-update
libstorage-ng
mono-basic
xen
openldap2
xterm
wireless-regdb
perl
libpsm2
cups
glusterfs
Comment 2 OBSbugzilla Bot 2020-07-19 08:10:06 UTC
This is an autogenerated message for OBS integration:
This bug (1174075) was mentioned in
https://build.opensuse.org/request/show/821749 Factory / gimp
Comment 3 Callum Farmer 2020-07-22 11:14:31 UTC
UPDATE:

mdadm
gimp
sbl
yast2-control-center
virtualbox (again)
Comment 4 Ancor Gonzalez Sosa 2020-07-23 11:11:42 UTC
UPDATE:

yast2-drbd -> https://build.opensuse.org/request/show/822343
yast2-cluster -> https://build.opensuse.org/request/show/822362
Comment 5 Callum Farmer 2020-07-24 12:15:59 UTC
UPDATE:

cmake
https://build.opensuse.org/request/show/822549
Comment 6 OBSbugzilla Bot 2020-07-27 15:40:07 UTC
This is an autogenerated message for OBS integration:
This bug (1174075) was mentioned in
https://build.opensuse.org/request/show/823012 Factory / plasma-browser-integration
Comment 7 Callum Farmer 2020-07-28 12:01:24 UTC
UPDATE:

plasma-browser-integration
subversion
Comment 8 Callum Farmer 2020-07-28 18:01:56 UTC
UPDATE:

gimp now done properly
https://build.opensuse.org/request/show/823169
Comment 9 Callum Farmer 2020-08-05 11:45:06 UTC
UPDATE:

libcontainers-common
k3s
cilium
cri-o
openQA (https://github.com/os-autoinst/os-autoinst-distri-opensuse/pull/10771)
mariadb (https://build.opensuse.org/request/show/824288)
Comment 10 Callum Farmer 2020-08-12 14:12:41 UTC
UPDATE:

chrony

IN PROGRESS:

docker
Comment 11 Callum Farmer 2020-08-15 12:39:53 UTC
UPDATE:

docker
python-dephell
Comment 13 Fabian Vogt 2020-08-19 08:43:32 UTC
I had a look through https://github.com/bmwiedemann/openSUSE/search?q=_libexecdir&unscoped_q=_libexecdir and made a list of wrong/suspcious users: https://etherpad.opensuse.org/p/libexecdir
Comment 14 Callum Farmer 2020-08-19 10:06:47 UTC
Thanks, it is so useful!
Comment 15 OBSbugzilla Bot 2020-08-19 12:40:06 UTC
This is an autogenerated message for OBS integration:
This bug (1174075) was mentioned in
https://build.opensuse.org/request/show/827874 Factory / kdeconnect-kde
Comment 16 OBSbugzilla Bot 2020-08-19 13:50:06 UTC
This is an autogenerated message for OBS integration:
This bug (1174075) was mentioned in
https://build.opensuse.org/request/show/827896 Factory / xfsprogs
Comment 17 OBSbugzilla Bot 2020-08-20 08:00:08 UTC
This is an autogenerated message for OBS integration:
This bug (1174075) was mentioned in
https://build.opensuse.org/request/show/827961 Factory / kinput2
https://build.opensuse.org/request/show/827962 Factory / deepin-music-player
Comment 18 OBSbugzilla Bot 2020-08-25 07:40:07 UTC
This is an autogenerated message for OBS integration:
This bug (1174075) was mentioned in
https://build.opensuse.org/request/show/829091 Factory / mailutils
Comment 19 Callum Farmer 2020-08-25 10:45:23 UTC
%{_libexecdir} changes now default from TW 2020-08-25 onwards
Comment 20 OBSbugzilla Bot 2020-08-26 07:40:07 UTC
This is an autogenerated message for OBS integration:
This bug (1174075) was mentioned in
https://build.opensuse.org/request/show/829691 Factory / ispell
Comment 22 OBSbugzilla Bot 2020-08-29 08:00:07 UTC
This is an autogenerated message for OBS integration:
This bug (1174075) was mentioned in
https://build.opensuse.org/request/show/830429 Factory / deepin-terminal
https://build.opensuse.org/request/show/830430 Factory / deepin-gettext-tools
Comment 23 OBSbugzilla Bot 2020-08-31 10:30:07 UTC
This is an autogenerated message for OBS integration:
This bug (1174075) was mentioned in
https://build.opensuse.org/request/show/830718 Factory / xfce4-screensaver
Comment 24 OBSbugzilla Bot 2020-08-31 11:10:07 UTC
This is an autogenerated message for OBS integration:
This bug (1174075) was mentioned in
https://build.opensuse.org/request/show/830734 Factory / GraphicsMagick
Comment 25 OBSbugzilla Bot 2020-09-02 07:40:06 UTC
This is an autogenerated message for OBS integration:
This bug (1174075) was mentioned in
https://build.opensuse.org/request/show/831373 Factory / btrfsmaintenance
Comment 26 OBSbugzilla Bot 2020-09-07 16:00:06 UTC
This is an autogenerated message for OBS integration:
This bug (1174075) was mentioned in
https://build.opensuse.org/request/show/832810 Factory / procmeter
Comment 27 OBSbugzilla Bot 2020-09-07 17:20:07 UTC
This is an autogenerated message for OBS integration:
This bug (1174075) was mentioned in
https://build.opensuse.org/request/show/832828 Factory / rpmrebuild
Comment 28 OBSbugzilla Bot 2020-09-08 13:10:07 UTC
This is an autogenerated message for OBS integration:
This bug (1174075) was mentioned in
https://build.opensuse.org/request/show/832982 Factory / bcache-tools
Comment 29 OBSbugzilla Bot 2020-09-14 08:40:06 UTC
This is an autogenerated message for OBS integration:
This bug (1174075) was mentioned in
https://build.opensuse.org/request/show/834239 Factory / atheme
Comment 30 OBSbugzilla Bot 2020-09-15 09:30:07 UTC
This is an autogenerated message for OBS integration:
This bug (1174075) was mentioned in
https://build.opensuse.org/request/show/834552 Factory / bumblebee
Comment 31 OBSbugzilla Bot 2020-09-16 14:10:14 UTC
This is an autogenerated message for OBS integration:
This bug (1174075) was mentioned in
https://build.opensuse.org/request/show/834917 15.2 / virtualbox
Comment 32 Swamp Workflow Management 2020-09-20 16:14:10 UTC
openSUSE-SU-2020:1486-1: An update that fixes 25 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1114605,1174075,1174159,1175201
CVE References: CVE-2020-14628,CVE-2020-14629,CVE-2020-14646,CVE-2020-14647,CVE-2020-14648,CVE-2020-14649,CVE-2020-14650,CVE-2020-14673,CVE-2020-14674,CVE-2020-14675,CVE-2020-14676,CVE-2020-14677,CVE-2020-14694,CVE-2020-14695,CVE-2020-14698,CVE-2020-14699,CVE-2020-14700,CVE-2020-14703,CVE-2020-14704,CVE-2020-14707,CVE-2020-14711,CVE-2020-14712,CVE-2020-14713,CVE-2020-14714,CVE-2020-14715
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    virtualbox-6.1.14-lp152.2.5.1, virtualbox-kmp-6.1.14-lp152.2.5.1
Comment 34 Swamp Workflow Management 2020-09-24 10:14:17 UTC
SUSE-SU-2020:2731-1: An update that solves one vulnerability, contains one feature and has 6 fixes is now available.

Category: security (moderate)
Bug References: 1162432,1164090,1165738,1171578,1174075,1175821,1175957
CVE References: CVE-2020-1726
JIRA References: SLE-12122
Sources used:
SUSE Linux Enterprise Module for Containers 15-SP2 (src):    conmon-2.0.20-3.6.1, fuse-overlayfs-1.1.2-3.9.1, podman-2.0.6-4.25.1
SUSE Linux Enterprise Module for Containers 15-SP1 (src):    conmon-2.0.20-3.6.1, fuse-overlayfs-1.1.2-3.9.1, podman-2.0.6-4.25.1
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    libcontainers-common-20200727-3.12.1
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    libcontainers-common-20200727-3.12.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 37 Swamp Workflow Management 2020-09-27 16:14:06 UTC
openSUSE-SU-2020:1552-1: An update that solves one vulnerability and has 6 fixes is now available.

Category: security (moderate)
Bug References: 1162432,1164090,1165738,1171578,1174075,1175821,1175957
CVE References: CVE-2020-1726
JIRA References: 
Sources used:
openSUSE Leap 15.1 (src):    conmon-2.0.20-lp151.5.1, fuse-overlayfs-1.1.2-lp151.8.1, libcontainers-common-20200727-lp151.2.10.1, podman-2.0.6-lp151.3.21.1
Comment 38 Swamp Workflow Management 2020-09-28 13:20:26 UTC
openSUSE-SU-2020:1559-1: An update that solves one vulnerability and has 6 fixes is now available.

Category: security (moderate)
Bug References: 1162432,1164090,1165738,1171578,1174075,1175821,1175957
CVE References: CVE-2020-1726
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    conmon-2.0.20-lp152.4.3.1, fuse-overlayfs-1.1.2-lp152.2.3.1, libcontainers-common-20200727-lp152.2.3.1, podman-2.0.6-lp152.4.3.1
Comment 39 OBSbugzilla Bot 2020-09-28 17:10:07 UTC
This is an autogenerated message for OBS integration:
This bug (1174075) was mentioned in
https://build.opensuse.org/request/show/838340 Factory / geeqie
Comment 44 OBSbugzilla Bot 2020-10-19 14:20:15 UTC
This is an autogenerated message for OBS integration:
This bug (1174075) was mentioned in
https://build.opensuse.org/request/show/842564 15.1+15.2+Backports:SLE-15-SP1+Backports:SLE-15-SP2 / icinga2
Comment 45 Swamp Workflow Management 2020-10-20 16:20:25 UTC
SUSE-RU-2020:2960-1: An update that fixes 8 vulnerabilities is now available.

Category: recommended (important)
Bug References: 1167073,1173559,1174075,1175151,1176752,1176753,1176754,1176755
CVE References: CVE-2020-12603,CVE-2020-12604,CVE-2020-12605,CVE-2020-15184,CVE-2020-15185,CVE-2020-15186,CVE-2020-15187,CVE-2020-8663
JIRA References: 
Sources used:
SUSE CaaS Platform 4.5 (src):    caasp-release-4.5.1-1.5.2, helm3-3.3.3-3.5.2, skuba-2.1.6-3.5.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 46 Swamp Workflow Management 2020-11-03 05:16:39 UTC
openSUSE-SU-2020:1820-1: An update that solves one vulnerability and has two fixes is now available.

Category: security (moderate)
Bug References: 1159869,1172171,1174075
CVE References: CVE-2020-14004
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    icinga2-2.12.1-lp152.3.3.3
openSUSE Leap 15.1 (src):    icinga2-2.12.1-lp151.2.3.4
openSUSE Backports SLE-15-SP2 (src):    icinga2-2.12.1-bp152.4.3.1
openSUSE Backports SLE-15-SP1 (src):    icinga2-2.12.1-bp151.3.3.4
Comment 47 Swamp Workflow Management 2020-11-03 14:22:54 UTC
SUSE-RU-2020:3137-1: An update that has two recommended fixes and contains one feature can now be installed.

Category: recommended (moderate)
Bug References: 1174075,1176244
CVE References: 
JIRA References: SLE-9807
Sources used:
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    bcache-tools-1.1-3.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 48 Swamp Workflow Management 2020-11-07 11:15:54 UTC
openSUSE-RU-2020:1864-1: An update that has two recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1174075,1176244
CVE References: 
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    bcache-tools-1.1-lp152.2.3.1
Comment 49 OBSbugzilla Bot 2020-12-20 09:00:06 UTC
This is an autogenerated message for OBS integration:
This bug (1174075) was mentioned in
https://build.opensuse.org/request/show/857096 15.1+15.2+Backports:SLE-15-SP1+Backports:SLE-15-SP2 / blosc
Comment 51 Swamp Workflow Management 2020-12-26 23:20:05 UTC
openSUSE-SU-2020:2337-1: An update that solves one vulnerability and has one errata is now available.

Category: security (moderate)
Bug References: 1174075,1179914
CVE References: CVE-2020-29367
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    blosc-1.20.1-lp152.4.3.1
openSUSE Leap 15.1 (src):    blosc-1.20.1-lp151.3.3.1
openSUSE Backports SLE-15-SP2 (src):    blosc-1.20.1-bp152.4.3.1
openSUSE Backports SLE-15-SP1 (src):    blosc-1.20.1-bp151.4.3.1
Comment 52 Swamp Workflow Management 2020-12-28 17:17:35 UTC
SUSE-SU-2020:3938-1: An update that solves one vulnerability, contains one feature and has four fixes is now available.

Category: security (important)
Bug References: 1174075,1176708,1178801,1178969,1180243
CVE References: CVE-2020-15257
JIRA References: SLE-16460
Sources used:
SUSE Linux Enterprise Module for Containers 12 (src):    containerd-1.3.9-16.32.1, docker-19.03.14_ce-98.57.1, docker-runc-1.0.0rc10+gitr3981_dc9208a3303f-1.49.1, golang-github-docker-libnetwork-0.7.0.1+gitr2908_55e924b8a842-34.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 59 Swamp Workflow Management 2021-02-11 17:16:43 UTC
SUSE-SU-2021:0435-1: An update that solves three vulnerabilities, contains one feature and has 5 fixes is now available.

Category: security (important)
Bug References: 1174075,1176708,1178801,1178969,1180243,1180401,1181730,1181732
CVE References: CVE-2020-15257,CVE-2021-21284,CVE-2021-21285
JIRA References: SLE-16460
Sources used:
SUSE Manager Server 4.0 (src):    containerd-1.3.9-5.29.3, docker-19.03.15_ce-6.43.3, docker-runc-1.0.0rc10+gitr3981_dc9208a3303f-6.45.3, golang-github-docker-libnetwork-0.7.0.1+gitr2908_55e924b8a842-4.28.3
SUSE Manager Retail Branch Server 4.0 (src):    containerd-1.3.9-5.29.3, docker-19.03.15_ce-6.43.3, docker-runc-1.0.0rc10+gitr3981_dc9208a3303f-6.45.3, golang-github-docker-libnetwork-0.7.0.1+gitr2908_55e924b8a842-4.28.3
SUSE Manager Proxy 4.0 (src):    containerd-1.3.9-5.29.3, docker-19.03.15_ce-6.43.3, docker-runc-1.0.0rc10+gitr3981_dc9208a3303f-6.45.3, golang-github-docker-libnetwork-0.7.0.1+gitr2908_55e924b8a842-4.28.3
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    containerd-1.3.9-5.29.3, docker-19.03.15_ce-6.43.3, docker-runc-1.0.0rc10+gitr3981_dc9208a3303f-6.45.3, golang-github-docker-libnetwork-0.7.0.1+gitr2908_55e924b8a842-4.28.3
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    containerd-1.3.9-5.29.3, docker-19.03.15_ce-6.43.3, docker-runc-1.0.0rc10+gitr3981_dc9208a3303f-6.45.3, golang-github-docker-libnetwork-0.7.0.1+gitr2908_55e924b8a842-4.28.3
SUSE Linux Enterprise Server 15-SP1-BCL (src):    containerd-1.3.9-5.29.3, docker-19.03.15_ce-6.43.3, docker-runc-1.0.0rc10+gitr3981_dc9208a3303f-6.45.3, golang-github-docker-libnetwork-0.7.0.1+gitr2908_55e924b8a842-4.28.3
SUSE Linux Enterprise Module for Containers 15-SP3 (src):    containerd-1.3.9-5.29.3, docker-19.03.15_ce-6.43.3, docker-runc-1.0.0rc10+gitr3981_dc9208a3303f-6.45.3, golang-github-docker-libnetwork-0.7.0.1+gitr2908_55e924b8a842-4.28.3
SUSE Linux Enterprise Module for Containers 15-SP2 (src):    containerd-1.3.9-5.29.3, docker-19.03.15_ce-6.43.3, docker-runc-1.0.0rc10+gitr3981_dc9208a3303f-6.45.3, golang-github-docker-libnetwork-0.7.0.1+gitr2908_55e924b8a842-4.28.3
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    containerd-1.3.9-5.29.3, docker-19.03.15_ce-6.43.3, docker-runc-1.0.0rc10+gitr3981_dc9208a3303f-6.45.3, golang-github-docker-libnetwork-0.7.0.1+gitr2908_55e924b8a842-4.28.3
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    containerd-1.3.9-5.29.3, docker-19.03.15_ce-6.43.3, docker-runc-1.0.0rc10+gitr3981_dc9208a3303f-6.45.3, golang-github-docker-libnetwork-0.7.0.1+gitr2908_55e924b8a842-4.28.3
SUSE Enterprise Storage 6 (src):    containerd-1.3.9-5.29.3, docker-19.03.15_ce-6.43.3, docker-runc-1.0.0rc10+gitr3981_dc9208a3303f-6.45.3, golang-github-docker-libnetwork-0.7.0.1+gitr2908_55e924b8a842-4.28.3
SUSE CaaS Platform 4.0 (src):    containerd-1.3.9-5.29.3, docker-19.03.15_ce-6.43.3, docker-runc-1.0.0rc10+gitr3981_dc9208a3303f-6.45.3, golang-github-docker-libnetwork-0.7.0.1+gitr2908_55e924b8a842-4.28.3

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 60 Swamp Workflow Management 2021-02-12 05:16:45 UTC
openSUSE-SU-2021:0278-1: An update that solves three vulnerabilities and has 5 fixes is now available.

Category: security (important)
Bug References: 1174075,1176708,1178801,1178969,1180243,1180401,1181730,1181732
CVE References: CVE-2020-15257,CVE-2021-21284,CVE-2021-21285
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    containerd-1.3.9-lp152.2.3.1, docker-19.03.15_ce-lp152.2.3.1, docker-runc-1.0.0rc10+gitr3981_dc9208a3303f-lp152.2.3.1, fish-2.7.1-lp152.5.3.1, golang-github-docker-libnetwork-0.7.0.1+gitr2908_55e924b8a842-lp152.2.3.1
Comment 61 OBSbugzilla Bot 2021-03-09 10:30:07 UTC
This is an autogenerated message for OBS integration:
This bug (1174075) was mentioned in
https://build.opensuse.org/request/show/877921 Factory / texlive-filesystem
https://build.opensuse.org/request/show/877922 Factory / texlive
Comment 62 OBSbugzilla Bot 2021-04-16 14:30:04 UTC
This is an autogenerated message for OBS integration:
This bug (1174075) was mentioned in
https://build.opensuse.org/request/show/886039 Factory / deepin-turbo
Comment 63 OBSbugzilla Bot 2021-05-05 14:40:03 UTC
This is an autogenerated message for OBS integration:
This bug (1174075) was mentioned in
https://build.opensuse.org/request/show/890747 Factory / Jamulus
Comment 74 OBSbugzilla Bot 2021-11-02 01:40:07 UTC
This is an autogenerated message for OBS integration:
This bug (1174075) was mentioned in
https://build.opensuse.org/request/show/928633 Factory / Jamulus
Comment 77 OBSbugzilla Bot 2021-11-29 13:40:07 UTC
This is an autogenerated message for OBS integration:
This bug (1174075) was mentioned in
https://build.opensuse.org/request/show/934541 Backports:SLE-15-SP4 / shairport-sync
Comment 80 Swamp Workflow Management 2021-12-14 11:19:18 UTC
openSUSE-SU-2021:4018-1: An update that solves two vulnerabilities, contains three features and has four fixes is now available.

Category: security (moderate)
Bug References: 1152964,1174075,1181400,1188875,1190069,1190896
CVE References: CVE-2021-36386,CVE-2021-39272
JIRA References: SLE-17903,SLE-18059,SLE-18159
Sources used:
openSUSE Leap 15.3 (src):    fetchmail-6.4.22-20.20.1
Comment 81 Swamp Workflow Management 2021-12-14 11:24:16 UTC
SUSE-SU-2021:4018-1: An update that solves two vulnerabilities, contains three features and has four fixes is now available.

Category: security (moderate)
Bug References: 1152964,1174075,1181400,1188875,1190069,1190896
CVE References: CVE-2021-36386,CVE-2021-39272
JIRA References: SLE-17903,SLE-18059,SLE-18159
Sources used:
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    fetchmail-6.4.22-20.20.1
SUSE Linux Enterprise Server for SAP 15 (src):    fetchmail-6.4.22-20.20.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    fetchmail-6.4.22-20.20.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    fetchmail-6.4.22-20.20.1
SUSE Linux Enterprise Server 15-LTSS (src):    fetchmail-6.4.22-20.20.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP3 (src):    fetchmail-6.4.22-20.20.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP2 (src):    fetchmail-6.4.22-20.20.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    fetchmail-6.4.22-20.20.1
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    fetchmail-6.4.22-20.20.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    fetchmail-6.4.22-20.20.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    fetchmail-6.4.22-20.20.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    fetchmail-6.4.22-20.20.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    fetchmail-6.4.22-20.20.1
SUSE Enterprise Storage 6 (src):    fetchmail-6.4.22-20.20.1
SUSE CaaS Platform 4.0 (src):    fetchmail-6.4.22-20.20.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 82 Swamp Workflow Management 2021-12-17 14:18:35 UTC
openSUSE-SU-2021:1591-1: An update that solves two vulnerabilities, contains three features and has four fixes is now available.

Category: security (moderate)
Bug References: 1152964,1174075,1181400,1188875,1190069,1190896
CVE References: CVE-2021-36386,CVE-2021-39272
JIRA References: SLE-17903,SLE-18059,SLE-18159
Sources used:
openSUSE Leap 15.2 (src):    fetchmail-6.4.22-lp152.6.12.1
Comment 83 Swamp Workflow Management 2021-12-22 14:35:54 UTC
SUSE-SU-2021:4147-1: An update that solves one vulnerability, contains three features and has 22 fixes is now available.

Category: security (moderate)
Bug References: 1063704,1069468,1082318,1083597,1099272,1115529,1128846,1156884,1159840,1161119,1162964,1171806,1172113,1173277,1173760,1174075,1174911,1180689,1181826,1183783,1184400,1187906,1190926
CVE References: CVE-2020-14367
JIRA References: SLE-11424,SLE-22248,SLE-22292
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    chrony-4.1-5.9.1
SUSE OpenStack Cloud Crowbar 8 (src):    chrony-4.1-5.9.1
SUSE OpenStack Cloud 9 (src):    chrony-4.1-5.9.1
SUSE OpenStack Cloud 8 (src):    chrony-4.1-5.9.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    chrony-4.1-5.9.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    chrony-4.1-5.9.1
SUSE Linux Enterprise Server 12-SP5 (src):    chrony-4.1-5.9.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    chrony-4.1-5.9.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    chrony-4.1-5.9.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    chrony-4.1-5.9.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    chrony-4.1-5.9.1
HPE Helion Openstack 8 (src):    chrony-4.1-5.9.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 86 OBSbugzilla Bot 2022-02-15 19:10:04 UTC
This is an autogenerated message for OBS integration:
This bug (1174075) was mentioned in
https://build.opensuse.org/request/show/955092 Backports:SLE-15-SP3 / atheme
Comment 87 OBSbugzilla Bot 2022-02-27 18:10:04 UTC
This is an autogenerated message for OBS integration:
This bug (1174075) was mentioned in
https://build.opensuse.org/request/show/957910 Factory / bluez
Comment 91 Swamp Workflow Management 2022-03-15 14:19:13 UTC
SUSE-SU-2022:0845-1: An update that solves one vulnerability, contains one feature and has 12 fixes is now available.

Category: security (moderate)
Bug References: 1099272,1115529,1128846,1162964,1172113,1173277,1174075,1174911,1180689,1181826,1187906,1190926,1194229
CVE References: CVE-2020-14367
JIRA References: SLE-17334
Sources used:
SUSE Linux Enterprise Realtime Extension 15-SP2 (src):    augeas-1.10.1-3.9.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    augeas-1.10.1-3.9.1, chrony-4.1-150300.16.3.1
SUSE Linux Enterprise Micro 5.1 (src):    augeas-1.10.1-3.9.1, chrony-4.1-150300.16.3.1
SUSE Linux Enterprise Micro 5.0 (src):    augeas-1.10.1-3.9.1
SUSE Linux Enterprise Installer 15-SP3 (src):    augeas-1.10.1-3.9.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 92 Swamp Workflow Management 2022-03-15 14:27:28 UTC
openSUSE-SU-2022:0845-1: An update that solves one vulnerability, contains one feature and has 12 fixes is now available.

Category: security (moderate)
Bug References: 1099272,1115529,1128846,1162964,1172113,1173277,1174075,1174911,1180689,1181826,1187906,1190926,1194229
CVE References: CVE-2020-14367
JIRA References: SLE-17334
Sources used:
openSUSE Leap 15.3 (src):    augeas-1.10.1-3.9.1, chrony-4.1-150300.16.3.1
Comment 100 Swamp Workflow Management 2022-04-19 22:21:33 UTC
SUSE-SU-2022:0845-2: An update that solves one vulnerability, contains one feature and has 12 fixes is now available.

Category: security (moderate)
Bug References: 1099272,1115529,1128846,1162964,1172113,1173277,1174075,1174911,1180689,1181826,1187906,1190926,1194229
CVE References: CVE-2020-14367
JIRA References: SLE-17334
Sources used:
SUSE Linux Enterprise Micro 5.2 (src):    augeas-1.10.1-3.9.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 101 Swamp Workflow Management 2022-05-04 13:18:52 UTC
SUSE-SU-2022:1516-1: An update that solves two vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1006739,1123522,1174075
CVE References: CVE-2016-9011,CVE-2019-6978
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    libwmf-0.2.12-150000.4.4.1
openSUSE Leap 15.3 (src):    libwmf-0.2.12-150000.4.4.1
SUSE Linux Enterprise Workstation Extension 15-SP4 (src):    libwmf-0.2.12-150000.4.4.1
SUSE Linux Enterprise Workstation Extension 15-SP3 (src):    libwmf-0.2.12-150000.4.4.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP4 (src):    libwmf-0.2.12-150000.4.4.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 102 Swamp Workflow Management 2022-05-06 16:19:41 UTC
SUSE-SU-2022:1560-1: An update that solves two vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1006739,1123522,1174075
CVE References: CVE-2016-9011,CVE-2019-6978
JIRA References: 
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP5 (src):    libwmf-0.2.12-243.3.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    libwmf-0.2.12-243.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 103 Swamp Workflow Management 2022-06-20 16:28:34 UTC
openSUSE-SU-2022:10018-1: An update that solves one vulnerability and has one errata is now available.

Category: security (important)
Bug References: 1174075,1195989
CVE References: CVE-2022-24976
JIRA References: 
Sources used:
openSUSE Backports SLE-15-SP3 (src):    atheme-7.2.12-bp153.2.3.1